> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ClientCredential

> List client credentials. Credentials are listed in no particular order.



## OpenAPI

````yaml /api/iam/api/client.openapi.json get /v1/clients/{client}/credentials
openapi: 3.1.0
info:
  title: Confidence Client API
  version: 1.0.0
  description: API documentation for client
servers: []
security: []
paths:
  /v1/clients/{client}/credentials:
    get:
      summary: List ClientCredential
      description: List client credentials. Credentials are listed in no particular order.
      operationId: ClientCredential.list
      parameters:
        - name: client
          in: path
          required: true
          schema:
            type: string
        - name: pageSize
          in: query
          required: false
          description: The maximum number of credentials to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  clientCredentials:
                    type: array
                    items:
                      $ref: '#/components/schemas/confidence.iam.v1.ClientCredential'
                    description: >-
                      [ClientCredential](/api-reference/schemas/clientcredential):
                      List of client credentials.
                  nextPageToken:
                    type: string
                    description: >-
                      A token that can be used to fetch more client credentials,
                      empty if no more
                       client credentials are available.
                required:
                  - clientCredentials
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.ClientCredential:
      title: ClientCredential
      type: object
      description: The credentials required for a client to access Confidence.
      properties:
        name:
          type: string
          description: |-
            The resource name of the client.
             For example:
             `clients/1bhq4c2zqigdzqg6ufni/credentials/3pxcfkkmi5sppg0lfa8d`
        displayName:
          type: string
          description: Human friendly name of the credential.
        clientSecret:
          type: object
          properties:
            secret:
              type: string
              description: The secret used to authenticate a client.
          description: A simple plaintext secret.
        lastSeenTime:
          type: object
          description: The last time this credential was used to resolve a flag.
        environments:
          type: array
          items:
            type: string
          description: >-
            List of environments this credential is enabled for. If this list is
            empty, the credential
             is enabled for all environments.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General set of labels for this resource.
        createTime:
          type: object
          description: Time when the client was first created.
        updateTime:
          type: object
          description: Time when the client was last updated.
        creator:
          type: string
          description: Reference to the identity that created this credential.
        updater:
          type: string
          description: Reference to the identity that last updated this credential.
        sdkType:
          type: string
          enum:
            - SDK_TYPE_UNSPECIFIED
            - BACKEND
            - FRONTEND
          description: The type of SDK this credential is intended for.
      required:
        - displayName
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````